
var hljs = {};

/**
 * @param {string} name
 * @param {string} value
 * @param {boolean=} ignore_illegals
 * @param {boolean=} continuation
 * @return {{language: string, value: string, r: number, top: Object}}
**/
hljs.highlight = function(name, value, ignore_illegals, continuation) {};

/**
 * @return {Array<string>}
**/
hljs.listLanguages = function() {};

/**
 * @param {string} lang
 * @return {Object|null}
**/
hljs.getLanguage = function(lang) {};

/**
 * @param {string} text
 * @param {Array<string>=} langs
 * @return {{value: string, language: string}}
**/
hljs.highlightAuto = function(text, langs) {};

/**
 * @param {string} str
 * @return {string}
**/
hljs.fixMarkup = function(str) {};

/**
 * @param {Object} config
**/
hljs.configure = function(config) {};

